### Method

# Shumate SimpleMap get_viewport

#### Declaration [src]

    ShumateViewport*
    shumate_simple_map_get_viewport (
      ShumateSimpleMap* self
    )

#### Description [src]

Gets the map’s viewport, needed for constructing map layers that will be added to it.

Gets property | `Shumate.SimpleMap:viewport`

#### Return value

Type: `ShumateViewport`

A `ShumateViewport`

The data is owned by the instance.